StopFilter (Lucene 10.5.1 common API)
Description: declaration: package: org.apache.lucene.analysis.core, class: StopFilter

Package org.apache.lucene.analysis.core

# Class StopFilter

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.analysis.FilteringTokenFilter
org.apache.lucene.analysis.StopFilter
org.apache.lucene.analysis.core.StopFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

public final class StopFilter extends StopFilter
Removes stop words from a token stream.

This class moved to Lucene Core, but a reference in the `analysis/common` module is preserved for documentation purposes and consistency with filter factory.

See Also:
  - `StopFilter`
  - `StopFilterFactory`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

  `AttributeSource.State`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

  `input`

  ### Fields inherited from class org.apache.lucene.analysis.TokenStream

  `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StopFilter(TokenStream in, CharArraySet stopWords)`
  Constructs a filter which removes words from the input TokenStream that are named in the Set.

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.analysis.StopFilter

  `accept, makeStopSet, makeStopSet, makeStopSet, makeStopSet`

  ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

  `end, incrementToken, reset`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

  `close, unwrap`

  ### Methods inherited from class org.apache.lucene.util.AttributeSource

  `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StopFilter

    public StopFilter(TokenStream in, CharArraySet stopWords)
    Constructs a filter which removes words from the input TokenStream that are named in the Set.
    Parameters:
      `in` - Input stream
      `stopWords` - A `CharArraySet` representing the stopwords.
    See Also:
      - `StopFilter.makeStopSet(java.lang.String...)`